//
//  BDCloudLogServiceIndex.h
//  BDLogServiceSDK
//
//  Created by v_linaying on 2020/8/4.
//  Copyright © 2020 v_linaying. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface BDCloudLogServiceIndex : NSObject

- (instancetype)initWithSigner:(id<BDCloudSigner>)signer;

/**
 更新指定日志集的索引结构
 @param logStoreName 日志集名称
 @param fields 索引包含的字段名称及类型定义
 @param completionHandler completion call back
*/
- (void)updateIndexWithLogStoreName:(NSString *)logStoreName fields:(NSDictionary *)fields completion:(void(^)(NSDictionary *resultDic, NSError *error))completionHandler;

/**
删除指定日志集的索引，该操作会将索引数据清空
@param logStoreName 日志集名称
@param completionHandler completion call back
*/
- (void)deleteIndexWithLogStoreName:(NSString *)logStoreName completion:(void(^)(NSDictionary *resultDic, NSError *error))completionHandler;


/**
获取指定日志集的索引结构信息
@param logStoreName 日志集名称
@param completionHandler completion call back
 其中返回数据字典结构如下
 参数名称    类型    描述
 fields    Object    索引字段信息
*/
- (void)getDexcribeIndexWithLogStoreName:(NSString *)logStoreName completion:(void(^)(NSDictionary *resultDic, NSError *error))completionHandler;

/**
为指定的日志集创建索引
@param logStoreName 日志集名称
@param fields 索引包含的字段名称及类型定义
@param completionHandler completion call back
*/
- (void)createIndexWithLogStoreName:(NSString *)logStoreName fields:(NSDictionary *)fields completion:(void(^)(NSDictionary *resultDic, NSError *error))completionHandler;


@end

NS_ASSUME_NONNULL_END
