//
//  BDCloudLogStream.h
//  BDLogServiceSDK
//
//  Created by v_linaying on 2020/8/4.
//  Copyright © 2020 v_linaying. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface BDCloudLogStream : NSObject
- (instancetype)initWithSigner:(id<BDCloudSigner>)signer;

/**
get LogStore List
@param logStoreName 指定筛选日志流的关键字(必填)
@param namePattern 指定筛选名称的关键字
@param order 排序规则，desc为降序，asc为升序，默认为 desc
@param orderBy 排序字段，默认为创建时间
@param pageNo 起始页码，默认为 1
@param pageSize 每页显示数据大小，默认为 10
 
@param completionHandler completion call back
 其中返回数据字典结构如下
 order    String    排序规则，desc为降序，asc为升序
 orderBy    String    排序字段
 pageNo    Int    起始页码
 pageSize    Int    每页显示数据大小
 totalCount    Int    总数目
 result    List<LogStream>    LogStream 列表
*/
- (void)getListLogStreamithLogStoreName:(NSString *)logStoreName namePattern:(NSString *)namePattern order:(NSString *)order orderBy:(NSString *)orderBy pageNo:(int)pageNo pageSize:(int)pageSize completion:(void(^)(NSDictionary *resultDic, NSError *error))completionHandler;



@end

NS_ASSUME_NONNULL_END
